class Origami::MoveroomController < BaseOrigamiController
 
  authorize_resource :class => false
  
  def move_dining
    @webview = check_mobile
    
    @tables = Table.all.active.order('status desc')
    @rooms = Room.all.active.order('status desc')
    @complete = Sale.all
    @orders = Order.all.order('date desc')

    @status_order = ""
    @status_sale = ""
    @sale_array = Array.new
    @dining = DiningFacility.find(params[:dining_id])
    @dining.bookings.each do |booking|
         if booking.sale_id.nil?
           @order_items = Array.new
           booking.booking_orders.each do |booking_order|
              order = Order.find(booking_order.order_id)
              @obj_order = order
              @customer = order.customer
              @date = order.created_at
              @booking= booking
              order.order_items.each do |item|
                @order_items.push(item)
              end
              accounts = @customer.tax_profiles
              @account_arr =[]
              accounts.each do |acc|
                account = TaxProfile.find(acc)
                @account_arr.push(account)
              end
           end
           @status_order = 'order'
         else
          sale = Sale.find(booking.sale_id)
           if sale.sale_status != "completed" && sale.sale_status != "waste" && sale.sale_status != "spoile"
             @sale_array.push(sale)
             if @status_order == 'order'
               @status_order = 'sale'
             end
             @booking= booking
             @date = sale.created_at
             @status_sale = 'sale'
             @obj_sale = sale
             @customer = sale.customer
             accounts = @customer.tax_profiles
             @account_arr =[]
             accounts.each do |acc|
              account = TaxProfile.find(acc)
              @account_arr.push(account)
             end
           end
         end
    end
  end

end
